<script setup lang="ts">
import Repository from "@/entities/Repository/Repository";
import {onMounted, ref, watch} from "vue";
import ColumnList from "@/components/organisms/list/ColumnList.vue";
import Version from "@/entities/Repository/Version";
import VersionCard from "@/components/organisms/card/horizontal-card/version/VersionCard.vue";

const props = defineProps<{ repository: Repository }>();

const versions: ref<Array<Version>> = ref<Array<Version>>([]);

const loadVersion = () => {
  // TODO : API
  versions.value = props.repository.versions;
};
onMounted(loadVersion)
watch(() => props.repository, loadVersion)
</script>

<template>
  <ColumnList>
    <VersionCard
        :version="version"
        :key="'version_list_' + version.code"
        v-for="(version) of versions"
    />
  </ColumnList>
</template>